<?php
$default_data = Array(
	"cmp_options"	=> Array(
		'announcement' 				=> 		'Welcome!',
		'user_tips'					=>		'Welcome to User Center!',
		'title_suffix' 				=> 		true,
		'separator' 				=> 		' | ',
		'time_format' 				=> 		'traditional',
		'breadcrumbs' 				=> 		true,
		'lightbox'					=> 		true,
		'lazyload'					=> 		true,
		'on_home' 					=> 		'latest',
		'list_style' 				=> 		'small_thumb',
		'ignore_sticky' 			=> 		true,
		'blog_posts_number' 		=> 		'10',
		'blog_pagination_type'		=> 		'pagination',
		'blog_ajax_num'				=> 		'5',
		'home_exc_length' 			=> 		'60',
		'home_tabs_box'				=> 		false,
		'display_social_icon'		=> 		false,
		'post_note_type' 			=> 		'none',
		'post_authorbio' 			=> 		true,
		'post_nav' 					=> 		true,
		'post_meta' 				=> 		true,
		'post_author' 				=> 		true,
		'post_date' 				=> 		true,
		'post_views'				=>		true,
		'post_cats' 				=> 		true,
		'post_comments' 			=> 		true,
		'post_tags' 				=> 		true,
		'archive_pagination_type'	=> 		'pagination',
		'archive_ajax_num'			=> 		'5',
		'archive_style' 			=> 		'small_thumb',
		'default_number' 			=> 		'10',
		'archive_mobile_number' 	=> 		'10',
		'thumb_left' 				=> 		false,
		'small_thumb_number' 		=> 		'10',
		'big_thumb_number' 			=> 		'10',
		'simple_title_number' 		=> 		'20',
		'row_thumb_number' 		    => 		'30',
		'original_image_number' 	=> 		'10',
		'target_blank' 				=> 		false,
		'archive_meta' 				=> 		true,
		'archive_author' 			=> 		true,
		'archive_date' 				=> 		true,
		'archive_views' 			=> 		true,
		'archive_comments' 			=> 		true,
		'archive_tags' 				=> 		true,
		'share_post' 				=> 		true,
		'p_text_indent' 			=> 		true,
		'bdStyle'					=> 		'0',
		'bdSize'					=> 		'24',
		'imageShare'				=> 		false,
		'selectShare'				=> 		false,
		'related' 					=> 		true,
		'related_number' 			=> 		'4',
		'related_query' 			=> 		'tag',
		'exc_length' 				=> 		'84',
		'category_desc' 			=> 		true,
		'category_rss' 				=> 		true,
		'tag_rss' 					=> 		true,
		'author_bio' 				=> 		true,
		'author_rss' 				=> 		true,
		'search_exclude_pages'		=> 		true,
		'slider'					=>		false,
		'slider_style' 				=> 		'2',
		'slider_auto' 				=> 		true,
		'slider_autoHover'			=> 		true,
		'slider_number'				=> 		'4',
		'slider_pause'				=> 		'6000',
		'slider_captions' 			=> 		true,
		'slider_controls' 			=> 		true,
		'slider_mode' 				=> 		'fade',
		'images_number' 			=> 		'1',
		'images_height'				=> 		'330',
		'slider_pager' 				=> 		true,
		'slider_query' 				=> 		'latest',
		'banner_top'				=> 		false,
		'banner_right'				=> 		false,
		'banner_top_right'			=> 		false,
		'banner_above'				=> 		false,
		'banner_below'				=> 		false,
		'banner_top_form'			=> 		false,
		'banner_bottom_form'		=> 		false,
		'right_rolling'				=> 		false,
		'right_one'					=> 		'1',
		'right_two'					=> 		'2',
		'right_h_one'				=> 		'1',
		'right_h_two'				=> 		'2',
		'right_p_one'				=> 		'1',
		'right_p_two'				=> 		'2',
		'hide_sidebar' 				=> 		true,
		'theme_layout'				=> 		'default',
		'theme_color'				=> 		'default',
		'custom_css'				=> 		false,
		'jquery_cdn'				=> 		'default',
		'google_font'				=> 		'0',
		'show_ids'					=> 		true,
		'anti_spam'					=> 		true,
		'smilies'					=> 		true,
		'comment_chinese'			=> 		false,
		'comment_quicktags'			=> 		true,
		'comment_mail_notify'		=> 		true,
		'thumb_cut'					=> 		'aq',
		'hide_toolbar'				=> 		false,
		'show_login'				=> 		true,
		'user_menu'					=> 		false,
		'show_qqqun'				=> 		false,
		'show_qq'					=> 		false,
		'show_wx'					=> 		false,
		'show_weibo'				=> 		false,
		'weibo_type'				=> 		'red_2',
		'show_qqweibo'				=> 		false,
		'qqweibo_f'					=> 		'1',
        'nav_fixed'                 =>      true,
		'baidu_search'				=> 		false,
		'search_domain'				=> 		'zhannei.baidu.com',
		'baidu_target'				=> 		false,
		'thumb_zc'					=> 		'1',
		'thumb_q'					=> 		'90',
		'footer_links'				=> 		false,
		'footer_code'				=> 		'<p>Copyright &copy; 2012-2017 WPZHUTI.COM All Rights Reserved · 鄂ICP备000000000号</p>',
		'publish_status'			=> 		'pending',
		'post_success'				=> 		'Submitted successfully, thank you for your contributions!',
		'post_failure'				=> 		'Submit failed, please try again later, if multiple failures, please contact the site administrator for help!',
		'display_categories'		=> 		'list',
		'category_order'			=> 		'id',
		'title_required'			=> 		true,
		'allow_tags'				=> 		true,
		'editor_style'				=> 		'visual',
		'guest_quiz'				=> 		true,
		'enable_post_edit'			=> 		true,
		'disable_pending_edit'		=> 		true,
		'user_posts_per_page'		=> 		'10',
		'edd_per_page'				=> 		'10',
		'edd_archive_style'			=> 		'little_thumb',
		'edd_related'				=> 		true,
		'edd_related_number'		=> 		'4',
		'edd_related_query'			=> 		'category',
		'edd_share_post'			=> 		true,
		'edd_open_comments'			=> 		true,
		'edd_add_product_name'		=> 		true
	)
);
?>